package org.project.entity.enemies;

import org.project.entity.players.Player;

public class Vampire extends Enemy{

    private final static EnemyStats stats = new EnemyStats(95, 18, 45);
    private final int damageDivisor;

    public Vampire() {
        super(stats);
        damageDivisor = 5;
    }

    @Override
    public void attack(Player target) {
        super.attack(target);
        heal(stats.damage/damageDivisor); //a percentage of the damage is added to HP
    }

    @Override
    public String getType() {
        return "Vampire";
    }
}
